HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Add a user-defined Neighbor

This API is used to create a user-defined neighbor discovery neighbor. In order to create one, the port, switch, chassis ID and port ID must be specified.
The UUID of a successfully added User-Defined Neighbor will be returned

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

User-Defined Neighbor

  • port_uuid - port UUID
  • switch_uuid - switch UUID
  • chassis_id - chassis ID
  • port_id - port ID
string
required
length between 32 and 36

The UUID of the port the neighbor was received on.

string
required
length between 32 and 36

The UUID of the switch the neighbor was received on.

string

MAC address of switch on which neighbor was received.

string
required
length ≤ 256

Chassis ID of neighbor. What's in this field is specified by the Chassis Subtype.

string
enum
required

Subtype of the Chassis ID. It can be one of the following:

  • Chassis Component (1): possibly EntPhysicalAlias (RFC 4133)
  • Interface Alias (2): ifAlias (RFC 2863)
  • Port Component (3): possibly EntPhysicalAlias (RFC 4133)
  • MAC Address (4): MAC address
  • Network Address (5): networkAddress
  • Interface Name (6): ifName (RFC 2863)
  • Locally Assigned (7): local, alpha numeric string
Allowed:
string
required
length ≤ 256

Port ID of the received neighbor.

string
enum
required

Subtype of the Port ID. It can be one of the following:

  • Interface Alias (1): ifAlias (RFC 2863)
  • Port Component (2): possibly entPhysicalAlias (RFC 4133)
  • MAC Address (3): MAC address
  • Network Address (4): networkAddress
  • Interface Name (5): ifName (RFC 2863)
  • Agent Circuit ID (6): agent circuit ID (RFC 3046)
  • Locally Assigned (7): local, alpha numeric string
Allowed:
integer

Time To Live. Amount of time, in seconds, the neighbor is valid.

string

MAC Address of sender of LLDP/CDP neighbor.

string
length ≤ 256

System Name of received neighbor.
An alpha-numeric string indicating administratively assigned name (should be fully qualified name or sysName as specified by RFC 3418).

string

System Description of received neighbor. An alpha-numeric string specifying system's hardware, operating system, and networking software.
If RFC 3418 is supported, sysDescr should be used.

string

Management Address of received neighbor. What's contained in this field is defined by the mgmt_address_subtype field.

integer

Management Address Subtype of received neighbor.
See: https://www.iana.org/assignments/protocol-numbers/ protocol-numbers.xhtml

integer

Interface number of management address of received neighbor. What's contained in this field is defined by the mgmt_address_ifnum_subtype field.

integer

Subtype of the Interface Number in the received neighbor. It can be one of 3 values:

  • Unknown (1)
  • ifIndex (2)
  • System port number (3)
string

IEEE 802 LAN station's port description of received neighbor. This is an alpha-numeric string that should be ifDescr if RFC 2863 is implemented.

integer

The VLAN ID of the port. A value of zero shall be used if the system doesn't know the PVID or not support port-based VLAN operation

integer

LAG ID of remote end. This is carried in the LAG TLV.
As specified in Annex E.8 of IEEE 802.1AB

integer

A bit map specifying the currently enabled capabilities:

Bit 1: Other
Bit 2: Repeater (RFC 2108)
Bit 3: MAC Bridge (IEEE 802.1D)
Bit 4: WLAN Access Point (IEEE 802.11 MIB)
Bit 5: Router (RFC 1812)
Bit 6: Telephone (RFC 4293)
Bit 7: DOCSIS Cable Device (RFC 4693, RFC 4546)
Bit 8: Station Only (RFC 4293)
Bit 9: C-VLAN Component of VLAN Bridge (IEEE 802.1Q)
Bit 10: S-VLAN Component of VLAN Bridge (IEEE 802.1Q)
Bit 11: Two-port MAC Relay (IEEE 802.1Q)

integer

A bit map specifying the capabilities supported by the sender

Bit 1: Other
Bit 2: Repeater (RFC 2108)
Bit 3: MAC Bridge (IEEE 802.1D)
Bit 4: WLAN Access Point (IEEE 802.11 MIB)
Bit 5: Router (RFC 1812)
Bit 6: Telephone (RFC 4293)
Bit 7: DOCSIS Cable Device (RFC 4693, RFC 4546)
Bit 8: Station Only (RFC 4293)
Bit 9: C-VLAN Component of VLAN Bridge (IEEE 802.1Q)
Bit 10: S-VLAN Component of VLAN Bridge (IEEE 802.1Q)
Bit 11: Two-port MAC Relay (IEEE 802.1Q)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0